Bug 211413 - net/bird net/bird6: Update to 1.6.0
Summary: net/bird net/bird6: Update to 1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-07-27 18:04 UTC by Niclas Zeising
Modified: 2016-09-22 09:11 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (melifaro)


Attachments
Patch to update net/bird to 1.6.0 (5.52 KB, patch)
2016-07-27 18:04 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising freebsd_committer 2016-07-27 18:04:45 UTC
Created attachment 173056 [details]
Patch to update net/bird to 1.6.0

Attached patch updates net/bird to 1.6.0. I have been unable to fix the additional patches, however, neither of them works with 1.5.0, so they should probably be removed anyway.

The firewall patch applies, but does not build.  The agg patch does not even apply. This is true also for 1.5.0.

The update also renames a patch file to match the file naming convention
Comment 1 Kurt Jaeger freebsd_committer 2016-08-12 18:32:50 UTC
I tried to apply the patch, it failed for:

File to patch: files/patch-sysdep_bsd_sysio.h
No file found--skip this patch? [n]

Is this supposed to be that way ?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-13 05:22:54 UTC
Reporter is committer, assign accordingly
Comment 3 Niclas Zeising freebsd_committer 2016-08-13 19:36:57 UTC
(In reply to Kurt Jaeger from comment #1)

Apparently you need to manually move the file

net/bird/files/patch-bsd-sysdep.h

to

net/bird/files/patch-sysdep_bsd_sysio.h

manually.
SVN seem to screw that up when creating patches.
Comment 4 Kurt Jaeger freebsd_committer 2016-08-13 21:20:06 UTC
Thanks, patches are ok with that and testbuilds are fine. Now, are you going to commit this with maintainer timeout ?
Comment 5 Niclas Zeising freebsd_committer 2016-08-13 21:37:55 UTC
I'll look at getting it in the tree tomorrow.
Comment 6 commit-hook freebsd_committer 2016-08-14 06:26:14 UTC
A commit references this bug:

Author: melifaro
Date: Sun Aug 14 06:25:18 UTC 2016
New revision: 420176
URL: https://svnweb.freebsd.org/changeset/ports/420176

Log:
  Update net/bird,net/bird6 to 1.6.0
  Add sk_setup / io loop fixes from git.
  Remove agg patch - new version with different syntax is comingTimeout, server noc-myt.yandex.net not responding.

  PR:		211413
  Submitted by:	zeising (original version)
  Approved by:	az (implicit)

Changes:
  head/net/bird/Makefile
  head/net/bird/distinfo
  head/net/bird/files/agg_support.patch
  head/net/bird/files/firewall_support.patch
  head/net/bird/files/patch-tools-Makefile.in
  head/net/bird/files/patch-tools-Rules.in
  head/net/bird6/Makefile
Comment 7 Niclas Zeising freebsd_committer 2016-09-22 09:11:28 UTC
Close this, bird has been updated.